Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.BPV_team
Class Assistance

    java.lang.Object
      warbot.BPV_team.Assistance

    public class Assistance

extends java.lang.Object

Constructor Summary
`Assistance()`

Method Summary
`int` | `besoin()`
`void` | `decrementer()`
`void` | `finAssistance()`
`java.lang.String` | `getAdresseDemande()`
`Point` | `getCoord()`
`Point` | `getVisee()`
`double` | `getX()`
`double` | `getY()`
`boolean` | `setAssistance(Point ag_coord, java.lang.String adresse_demande, double dest_x, double dest_y, int energie, int priorite, int ttl, int tour)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assistance

    public Assistance()

Method Detail

### setAssistance

    public boolean setAssistance(Point ag_coord,
                                 java.lang.String adresse_demande,
                                 double dest_x,
                                 double dest_y,
                                 int energie,
                                 int priorite,
                                 int ttl,
                                 int tour)

### decrementer

    public void decrementer()

### finAssistance

    public void finAssistance()

### getX

    public double getX()

### getY

    public double getY()

### getCoord

    public Point getCoord()

### getVisee

    public Point getVisee()

### besoin

    public int besoin()

### getAdresseDemande

    public java.lang.String getAdresseDemande()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.